> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Time Tracking Employees

> Lists active employees with their time-tracking enablement, country obligation, compliance gaps and templates.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-time-tracking-employees
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-time-tracking-employees:
    get:
      operationId: getOrgTimeTrackingEmployees
      summary: Get Org Time Tracking Employees
      x-toku-required-scope: time:read
      description: >-
        Lists active employees with their time-tracking enablement, country
        obligation, compliance gaps and templates.


        Required scope: `time:read`
      parameters:
        - name: countryCode
          in: query
          required: false
          schema:
            type: string
            enum:
              - ABW
              - AFG
              - AGO
              - AIA
              - ALA
              - ALB
              - AND
              - ARE
              - ARG
              - ARM
              - ASM
              - ATA
              - ATF
              - ATG
              - AUS
              - AUT
              - AZE
              - BDI
              - BEL
              - BEN
              - BES
              - BFA
              - BGD
              - BGR
              - BHR
              - BHS
              - BIH
              - BLR
              - BLZ
              - BMU
              - BOL
              - BRA
              - BRB
              - BRN
              - BTN
              - BVT
              - BWA
              - CAF
              - CAN
              - CCK
              - CHE
              - CHL
              - CHN
              - CIV
              - CMR
              - COD
              - COG
              - COK
              - COL
              - COM
              - CPV
              - CRI
              - CUB
              - CUW
              - CXR
              - CYM
              - CYP
              - CZE
              - DEU
              - DJI
              - DMA
              - DNK
              - DOM
              - DZA
              - ECU
              - EGY
              - ERI
              - ESH
              - ESP
              - EST
              - ETH
              - FIN
              - FJI
              - FLK
              - FRA
              - FRO
              - FSM
              - GAB
              - GBR
              - GEO
              - GGY
              - GHA
              - GIB
              - GIN
              - GLP
              - GMB
              - GNB
              - GNQ
              - GRC
              - GRD
              - GRL
              - GTM
              - GUF
              - GUM
              - GUY
              - HKG
              - HMD
              - HND
              - HRV
              - HTI
              - HUN
              - IDN
              - IMN
              - IND
              - IOT
              - IRL
              - IRN
              - IRQ
              - ISL
              - ISR
              - ITA
              - JAM
              - JEY
              - JOR
              - JPN
              - KAZ
              - KEN
              - KGZ
              - KHM
              - KIR
              - KNA
              - KOR
              - KWT
              - LAO
              - LBN
              - LBR
              - LBY
              - LCA
              - LIE
              - LKA
              - LSO
              - LTU
              - LUX
              - LVA
              - MAC
              - MAF
              - MAR
              - MCO
              - MDA
              - MDG
              - MDV
              - MEX
              - MHL
              - MKD
              - MLI
              - MLT
              - MMR
              - MNE
              - MNG
              - MNP
              - MOZ
              - MRT
              - MSR
              - MTQ
              - MUS
              - MWI
              - MYS
              - MYT
              - NAM
              - NCL
              - NER
              - NFK
              - NGA
              - NIC
              - NIU
              - NLD
              - NOR
              - NPL
              - NRU
              - NZL
              - OMN
              - PAK
              - PAN
              - PCN
              - PER
              - PHL
              - PLW
              - PNG
              - POL
              - PRI
              - PRK
              - PRT
              - PRY
              - PSE
              - PYF
              - QAT
              - REU
              - ROU
              - RUS
              - RWA
              - SAU
              - SDN
              - SEN
              - SGP
              - SGS
              - SHN
              - SJM
              - SLB
              - SLE
              - SLV
              - SMR
              - SOM
              - SPM
              - SRB
              - SSD
              - STP
              - SUR
              - SVK
              - SVN
              - SWE
              - SWZ
              - SXM
              - SYC
              - SYR
              - TCA
              - TCD
              - TGO
              - THA
              - TJK
              - TKL
              - TKM
              - TLS
              - TON
              - TTO
              - TUN
              - TUR
              - TUV
              - TWN
              - TZA
              - UGA
              - UKR
              - UMI
              - URY
              - USA
              - UZB
              - VAT
              - VCT
              - VEN
              - VGB
              - VIR
              - VNM
              - VUT
              - WLF
              - WSM
              - YEM
              - ZAF
              - ZMB
              - ZWE
        - name: filter
          in: query
          required: false
          schema:
            type: string
            enum:
              - ALL
              - TRACKED
              - UNTRACKED
              - REQUIRED_UNTRACKED
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgTimeTrackingEmployeesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgTimeTrackingEmployeesResponse:
      type: object
      properties:
        employees:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
              employeeName:
                type: string
              workEmail:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              countryCode:
                type:
                  - string
                  - 'null'
              countryStatus:
                type: string
              autopilotEligible:
                type: boolean
              enabled:
                type: boolean
              mode:
                type:
                  - string
                  - 'null'
              timezone:
                type:
                  - string
                  - 'null'
              weeklyHoursLimit:
                type:
                  - number
                  - 'null'
              scheduleTemplateID:
                type:
                  - string
                  - 'null'
              scheduleTemplateName:
                type:
                  - string
                  - 'null'
              effectiveFrom:
                type:
                  - string
                  - 'null'
              effectiveTo:
                type:
                  - string
                  - 'null'
              isComplianceGap:
                type: boolean
              autoEnrolFrom:
                type:
                  - string
                  - 'null'
              isTrackingRequired:
                type: boolean
              breakPay:
                type: object
                properties:
                  shortBreakPay:
                    type: string
                  mealBreakPay:
                    type: string
                required:
                  - shortBreakPay
                  - mealBreakPay
              breakPayEditable:
                type: object
                properties:
                  shortBreakPay:
                    type: boolean
                  mealBreakPay:
                    type: boolean
                required:
                  - shortBreakPay
                  - mealBreakPay
              breakPayOverride:
                type: object
                properties:
                  shortBreakPay:
                    type:
                      - string
                      - 'null'
                  mealBreakPay:
                    type:
                      - string
                      - 'null'
                  note:
                    type:
                      - string
                      - 'null'
                required:
                  - shortBreakPay
                  - mealBreakPay
                  - note
            required:
              - roleInOrgID
              - employeeName
              - workEmail
              - department
              - countryCode
              - countryStatus
              - autopilotEligible
              - enabled
              - mode
              - timezone
              - weeklyHoursLimit
              - scheduleTemplateID
              - scheduleTemplateName
              - effectiveFrom
              - effectiveTo
              - isComplianceGap
              - autoEnrolFrom
              - isTrackingRequired
              - breakPay
              - breakPayEditable
              - breakPayOverride
        templates:
          type: array
          items:
            type: object
            properties:
              timeTrackingScheduleTemplateID:
                type: string
              name:
                type: string
              countryCode:
                type:
                  - string
                  - 'null'
            required:
              - timeTrackingScheduleTemplateID
              - name
              - countryCode
      required:
        - employees
        - templates
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
